package com.chinacreator.video.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * 彩铃侧通知
 * @author zhengrong.yan
 * @date 20201115
 */
@Component
public interface ColorSealDao {

	/**
	 * 获取是否重试过
	 * @param spid
	 */
	//String getSyncproduc(@Param("spid") String spid);

	/*
	 * 获取流水号
	 * @return
	 */
	String getNo();

	/**
	 * 添加记录
	 * @param hm
	 */
	void addColorSealRec(HashMap hm);

	void upColorSealRec(HashMap hm);

	void upColorSealRecResult(HashMap hm);

	Map isSuccess(String userid);

	Map hasOrder(String userid);

}
